/// <reference types="node" />
import { IntegroApp } from './types/IntegroApp';
declare const isGuardedHandler: unique symbol;
export type GuardHandler<T extends IntegroApp> = (request: Request) => T | Promise<T>;
export type Guarded<T extends IntegroApp> = GuardHandler<T> & {
    [isGuardedHandler]: true;
};
export declare const guard: <T extends IntegroApp>(handler: GuardHandler<T>) => Guarded<T>;
export declare const isGuarded: <T extends IntegroApp>(fn: unknown) => fn is Guarded<T>;
export {};
