/// <reference types="node" />
import { IntegroApp } from './types/IntegroApp.js';
declare const canUnwrappable: unique symbol;
export type WrappedHandler<T extends IntegroApp> = (request: Request) => T | Promise<T>;
export type Unwrappable<T extends IntegroApp> = WrappedHandler<T> & {
    [canUnwrappable]: true;
};
export declare const unwrap: <T extends IntegroApp>(handler: WrappedHandler<T>) => Unwrappable<T>;
export declare const isUnwrappable: <T extends IntegroApp>(fn: unknown) => fn is Unwrappable<T>;
export {};
